Bug 222072 - Review Request: libdockapp - DockApp Development Standard Library
Review Request: libdockapp - DockApp Development Standard Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 201851
  Show dependency treegraph
 
Reported: 2007-01-09 19:19 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-10 05:16:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-01-09 19:19:17 EST
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/libdockapp.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/libdockapp-0.6.1-1.src.rpm
Description: 

LibDockApp is a library that provides a framework for developing dockapps.
It provides functions and structures to define and display command-line
options, create a dockable icon, handle events, etc.

The goal of the library is to provide a simple, yet clean interface and
standardize the ways in which dockapps are developed. A dockapp developed
using libDockApp will automatically behave well under most window
managers, and especially well under Window Maker.
Comment 1 Parag AN(पराग) 2007-01-10 01:35:25 EST
mock build is sucessfull and rpmlint reported error on libdockapp-fonts RPM
E: libdockapp-fonts zero-length /usr/share/x11/fonts/dockapp/fonts.alias
Comment 2 Patrice Dumas 2007-01-10 04:30:42 EST
I removed the unusefull empty fonts.alias file here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/libdockapp-0.6.1-2.src.rpm
Comment 3 Parag AN(पराग) 2007-01-10 04:55:29 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
ec1219c355516d63b6e2ee1e4cb10c30  libdockapp-0.6.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code as well as content(fonts).
+ no static libraries present.
+ no .pc file present.
+ -devel subpackage exists
+ included
  %post -p /sbin/ldconfig
  %postun -p /sbin/ldconfig
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ fonts scriptlets used.
+ file permissions are appropriate.
APPROVED.
Comment 4 Patrice Dumas 2007-01-10 05:16:07 EST
imported, owners edited, built in devel, branches requested.

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.